apiVersion: ecida.org/v1alpha1
kind: Application
metadata:
  name: house-predictor-application
spec:
  pipelines:
    - repo:
        name: house-predictor-pipeline
        version: v1
  config:
    - name: modelversion
      value: "v3" # in this pipeline we want to use version 2 of the model
  effects: [] # empty for now
  bindings:
    # here we bind the value "v3" to the config variable "model" in the "predictor" module
    # note that the pipeline that we reference here sets this value to v2 by
    # default. We override it here.
    - name: modelversion
      kind: cascade
      cascadeTo: house-predictor-pipeline.predictor.model
